package com.bcxin.event.core;

import lombok.Data;

import java.io.Serializable;

@Data
public class JdbcParameterDTO implements Serializable {
    private Long jdbcId;
    private String name;
    private String url;
    private String username;
    private String password;
    private String connectionTimeZone;
    private String driveClass;

    public static JdbcParameterDTO create(Long jdbcId,String name, String url,
                                          String username, String password,
                                          String connectionTimeZone, String driveClass) {
        JdbcParameterDTO jdbcParameterDTO = new JdbcParameterDTO();
        jdbcParameterDTO.setJdbcId(jdbcId);

        jdbcParameterDTO.setName(name);
        jdbcParameterDTO.setUrl(url);
        jdbcParameterDTO.setUsername(username);
        jdbcParameterDTO.setPassword(password);
        jdbcParameterDTO.setConnectionTimeZone(connectionTimeZone);
        jdbcParameterDTO.setDriveClass(driveClass);

        return jdbcParameterDTO;
    }
}
