package com.bcxin.event.core.metas;

import lombok.Data;

@Data
public class TableColumnMeta extends FlinkMetaAbstract {
    private String name;
    private String jdbcType;

    public String getFlinkType() {
        return this.getJdbcType();
    }

    @Override
    public String getSql() {
        return String.format("%s %s", this.getName(), this.getFlinkType());
    }
}
